org.apache.olingo.odata2.jpa.processor.api.model.mapping

## Class JPAEntityTypesMapType

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.model.mapping.JPAEntityTypesMapType

-     public class JPAEntityTypesMapType
      extends Object

  Java class for JPAEntityTypesMapType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="JPAEntityTypesMapType">
       <complexContent>
       <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       <sequence>
       <element name="JPAEntityType"
       type="{http://www.apache.org/olingo/odata2/jpa/processor/api/model/mapping}JPAEntityTypeMapType"
       maxOccurs="unbounded" minOccurs="0"/>
       </sequence>
       </restriction>
       </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<JPAEntityTypeMapType>` | `jpaEntityType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAEntityTypesMapType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<JPAEntityTypeMapType>` | `getJPAEntityType()` Gets the value of the jpaEntityType property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jpaEntityType

          protected List<JPAEntityTypeMapType> jpaEntityType

  - ### Constructor Detail

    - #### JPAEntityTypesMapType

          public JPAEntityTypesMapType()

  - ### Method Detail

    - #### getJPAEntityType

          public List<JPAEntityTypeMapType> getJPAEntityType()

      Gets the value of the jpaEntityType property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the jpaEntityType property.

      For example, to add a new item, do as follows:

           getJPAEntityType().add(newItem);

      Objects of the following type(s) are allowed in the list `JPAEntityTypeMapType`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.